local AddonName = ...

local function UpdateProfiles(IsFauxMazzleChar)
	for k,_ in pairs(Omen3DB.profileKeys) do -- loop through all Skada profiles
		if IsFauxMazzleChar("-", k) then -- Is this character also a FauxMazzle Character (not required if you want to update all)
			Omen3DB.profileKeys[k] = "FauxMazzle" -- Apply the FauxMazzzle profile to the character
		end
	end
end

local function ConfigureOmen(character, realm)
	if not Omen3DB.profiles.FauxMazzle then
		Omen3DB.profiles.FauxMazzle = { -- Setup a universal profile for all characters if it doesn't exist (Doesn't have to be FauxMazzle)
			["PositionW"] = 199.0000762939453,
			["PositionH"] = 133.0006561279297,
			["VGrip2"] = 113.9122774366865,
			["PositionY"] = 139.9998626708984,
			["Locked"] = true,
			["Background"] = {
				["BorderTexture"] = "None",
				["Texture"] = "Blizzard Dialog Background",
			},
			["TitleBar"] = {
				["ShowTitleBar"] = false,
			},
			["MinimapIcon"] = {
				["hide"] = true,
			},
			["ShowWith"] = {
				["UseShowWith"] = false,
				["HideWhileResting"] = false,
				["Pet"] = false,
			},
			["hidden"] = false,
			["VGrip1"] = 89.17966653486488,
			["PositionX"] = 1533.9990234375,
		}
	end
	Omen.db:SetProfile("FauxMazzle") -- Set character to use the "universal" profile
end

------------------------------------------------------------------------------------------
-- NOTE: All key labels (Frame, Run, Offsets, x, y) are case sensitive!!! 		--
--	With the exception of "Frame", all other labels can be omitted.			--
--											--
--	Run: when new characters to FauxMazzlet are configured (create/set profile)	--
--	UpdateProfiles: Apply "new" profile settings to characters in the addon		--
------------------------------------------------------------------------------------------
FauxMazzleUI[AddonName] = {
	Frame = "OmenAnchor",
	Run = ConfigureOmen,
	UpdateProfiles = UpdateProfiles, 
--	Offsets = {
--		TopLeft = { x=0, y=0 },
--		BottomRight = { x=0, y=0 },
--	}
}
